Skip to navigation

Delete a DRAFT or DEPRECATED shipping address

Requires the SHIPPING_ADDRESS.DELETE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID or reference of the resource.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
referencestringOptionalformat: "^\S+$"0-256 characters
customer_idstringOptional
The customer owning this address. Immutable after creation.
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
statusenum or nullOptionalRead-only
Allowed values:
recipientobjectOptional
addressobjectOptional
is_defaultboolean or nullOptionalRead-only

Only ACTIVE addresses can be default. Use set-as-default to select this address and clear the previous default for the customer.

created_atstring or nullOptionalRead-only
updated_atstring or nullOptionalRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error